<!DOCTYPE html>
<html>
<head>
	<title>math object</title>
</head>
<body>
	<script type="text/javascript">
		console.log("pi = " + Math.PI);
		console.log("4.7 rounded off = " + Math.round(4.7));
		console.log("4.4 rounded off = " + Math.round(4.4));
		console.log("pow of 2 raised to 3 = " + Math.pow(2,3));
		console.log("square root of 4 = " + Math.sqrt(4));
		console.log("cube root of 8 = " + Math.cbrt(8));
		console.log("absolute value of -4.7 is = " + Math.abs(-4.7));
		console.log("ceil value of 4.4 is = " + Math.ceil(4.4));
		console.log("floor value of 4.9 is = " + Math.floor(4.9));

		//angle in radian = angle in degrees * pi / 180
		console.log("sine value of 90 degree is = " + Math.sin(90 * Math.PI / 180));
		console.log("sine value of 90 degree is = " + Math.cos(180 * Math.PI / 180));
		console.log("min() on 2,4,6,8,10: " + Math.min(2,4,6,8,10));
		console.log("max() on 2,4,6,8,10: " + Math.max(2,4,6,8,10));

		//Math.random returns any number between 0 and 1
		console.log("random number : " + Math.random());

		/*
			CONSTANTS IN Math object
			Math.E : Eulers constant
			Math.PT : Value of Pi
			Math.SQRT : square root of 2
			Math.SQRT1_2 : square root of 1/2
			Math.LN2 : natural log of 2
			Math.LN10 : natural log of 10
			Math.LOG2E : Log of E to the base of 2
			Math.LOG10E : Log of E to the base of 10
		*/

		//there are many more math functions


		//Math.random()
		console.log("\n\n+++============Math.random()============+++\n");
		console.log("random number between 0 to 9 : " + Math.floor(Math.random() * 10));
		console.log("random number between 0 to 10 : " + Math.floor(Math.random() * 11));

		//function to generate random numbers in a range
		function generateRandom(min, max){
			return Math.floor(Math.random() * (max - min + 1)) + min;
		}
		console.log(generateRandom(5, 7));
	</script>
</body>
</html>